Bug 596934 - Pedantic: "/bin/kill" does not accept concatenated option-argument
Pedantic: "/bin/kill" does not accept concatenated option-argument
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 15:12 EDT by David Tonhofer
Modified: 2012-08-16 18:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2010-05-27 15:12:42 EDT
Description of problem:

This syntax does not work:

   $ kill -s0 24681
   bash: kill: s0: invalid signal specification

But this one does:

   $ kill -s 0 24681

According to:

http://www.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap12.html

"Notwithstanding the preceding requirements on conforming applications, a conforming implementation shall permit an application to specify options and option-arguments as a single argument or as separate arguments whether or not a <space> is shown on the synopsis line, except in those cases (marked with the XSI portability warning) where an option-argument is optional and no separation can be used."

Something for upstream, I guess.


Version-Release number of selected component (if applicable):

util-linux-2.13-0.52.el5_4.1
util-linux-ng-2.16.2-9.fc12.i686
Comment 1 Karel Zak 2010-06-17 05:32:15 EDT
(In reply to comment #0)
> This syntax does not work:
> 
>    $ kill -s0 24681
>    bash: kill: s0: invalid signal specification

 Yes, you're right.

> Something for upstream, I guess.

 Definitely yes, I'll reassign this bug to Fedora. I think it's not serious enough to be fixed in RHEL5. Thanks.
Comment 2 Bug Zapper 2010-07-30 07:43:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-16 18:04:17 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.